log_format access_log '[$status][spent $request_time sec][uri $uri][args: $args][user: $remote_addr][X_forwarded_for $http_x_forwarded_for][$time_local][to first byte: $upstream_header_time sec][to last byte: $upstream_response_time sec][conn to upstream: $upstream_connect_time sec][server_proto $server_protocol][method $request_method][request_body $request_body][conn_id $connection][rqs $connection_requests][referer $http_referer][UA $http_user_agent][content_type $content_type][scheme: $scheme]';

proxy_cache_path /var/cache/nginx levels=1:2:2 keys_zone=local_cache:50m max_size=10g;
proxy_cache_use_stale error timeout updating;

server {
  listen 80;
  listen [::]:80;
  server_name ds.ladyschool.online;
  client_max_body_size 200m;
  large_client_header_buffers 8 128k;

  access_log /var/log/nginx/nginx-access.log access_log;
  error_log /var/log/nginx/nginx-error.log info;

  location / {
#    proxy_cache local_cache;
    proxy_cache_valid 200 5m;
    proxy_cache_valid 404 502 503 1m;
    proxy_cache_methods GET;

    proxy_pass http://unix:/src/django.sock;

    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header Host $host;
    proxy_redirect off;
  }

  location /media/ {
    gzip_static on;
    root /www;
    expires max;
  }

  location /static/ {
    gzip_static on;
    root /www;
    expires max;
  }

}
